/*******************************************************************************
 * Copyright (c) 2011 Oracle America, Inc.  All rights reserved.
 * This source file created for use with the eSWT library is made available
 * under the terms of the Eclipse Public License v1.0.
 * http://www.eclipse.org/legal/epl-v10.html
 *******************************************************************************/

package org.eclipse.swt.layout;

public interface IAlign
{
  public static final int ALIGNMENT_HORIZONTAL_LEFT = 0;
  public static final int ALIGNMENT_HORIZONTAL_RIGHT = 1;
  public static final int ALIGNMENT_HORIZONTAL_CENTER = 2;

  public static final int ALIGNMENT_VERTICAL_TOP = 0;
  public static final int ALIGNMENT_VERTICAL_BOTTOM = 1;
  public static final int ALIGNMENT_VERTICAL_CENTER = 2;
    
  public int getAlign();

  public int getVerticalAlign();
}
